unit uViewDatosBancarios;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewBase, cxStyles, cxCustomData, cxGraphics, cxFilter, cxData,
  cxDataStorage, cxEdit, DB, cxDBData, cxTextEdit, cxGridLevel,
  cxGridCustomTableView, cxGridTableView, cxGridBandedTableView,
  cxGridDBBandedTableView, cxClasses, cxControls, cxGridCustomView, cxGrid,
  uDADataTable, Grids, DBGrids, ActnList, ImgList, PngImageList, ComCtrls,
  ToolWin, cxGridDBTableView, uViewDetallesGenerico, cxCurrencyEdit,
  uDAInterfaces;

type
  TfrViewDatosBancarios = class(TfrViewDetallesGenerico)
    cxGridViewNOMBRE: TcxGridDBColumn;
    cxGridViewENTIDAD: TcxGridDBColumn;
    cxGridViewSUCURSAL: TcxGridDBColumn;
    cxGridViewDC: TcxGridDBColumn;
    cxGridViewCUENTA: TcxGridDBColumn;
    cxGridViewSUFIJO_N19: TcxGridDBColumn;
    cxGridViewSUFIJO_N58: TcxGridDBColumn;
    procedure cxGridViewDblClick(Sender: TObject);
  protected
    procedure AnadirInterno; override;
    procedure ModificarInterno; override;
  public
    { Public declarations }
  end;

implementation

{$R *.dfm}

uses
  uDatosBancariosEmpresaController, uBizEmpresasDatosBancarios,
  uDataModuleEmpresas;

procedure TfrViewDatosBancarios.AnadirInterno;
begin
  inherited;
  try
    with TDatosBancariosEmpresaController.Create do
      Ver((dsDetalles.DataTable) as IBizEmpresasDatosBancarios);
  finally
    if (dsDetalles.DataTable.State in dsEditModes) then
      dsDetalles.DataTable.Post;
  end;
end;

procedure TfrViewDatosBancarios.cxGridViewDblClick(Sender: TObject);
begin
  inherited;
  actModificar.Execute;
end;

procedure TfrViewDatosBancarios.ModificarInterno;
begin
  inherited;
  with TDatosBancariosEmpresaController.Create do
    Ver((dsDetalles.DataTable) as IBizEmpresasDatosBancarios);
end;

end.



